Page MenuHomePhabricator

call_user_func_array() expects parameter 1 to be a valid callback, class 'languages' does not have a method
Closed, DeclinedPublic

Description

Warning: call_user_func_array() expects parameter 1 to be a valid callback, class 'languages' does not have a method 'getMessage' in /usr/local/apache/common-local/php-1.20wmf7/includes/StubObject.p
hp on line 79

Warning:  call_user_func_array() expects parameter 1 to be a valid callback, class 'languages' does not have a method 'getCode' in /usr/local/apache/common-local/php-1.20wmf7/includes/StubObject.php

on line 79


Version: 1.19
Severity: normal

Details

Reference
bz38340

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:07 AM
bzimport set Reference to bz38340.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jul 11 2012, 8:17 PM
Reedy added a comment.Jul 30 2012, 8:03 PM

Same for 1.20wmf8

demon set Security to None.

Backtrace would be nice. It could be basically anything creating a new stub object with wrong class or messing with the globals.

We don't get backtraces for warnings.

Nikerabbit changed the task status from Open to Stalled.May 31 2015, 1:44 PM

But we should ;)

Krinkle added a subscriber: Krinkle.Jun 1 2015, 3:27 PM

But we should ;)

Work in progress, T45086.

Krinkle closed this task as Declined.Jul 25 2018, 7:49 PM

No hits in Logstash for 30 days for anything mentioning StubObject and getCode.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM